<div *ngIf="!errorMessage" class="order-detail" fxLayout="column" fxLayoutAlign="center center">
  <mat-icon class="order-detail__icon" color="primary" aria-hidden=" false" aria-label="cart icon">done_outline
  </mat-icon>
  <div fxLayout="row wrap" fxLayoutGap="10px">
    <h1 class="order-detail__title">Purchase ID:</h1>
    <h1>{{orderDetail.purchaseId}}</h1>
  </div>
  <div fxLayout="row wrap" fxLayoutGap="10px">
    <h1 class="order-detail__title">Status:</h1>
    <h1>{{orderDetail.status}}</h1>
  </div>
  <div fxLayout="row wrap" fxLayoutGap="10px">
    <h1 class="order-detail__title">Shipping Type:</h1>
    <h1>{{orderDetail.shippingType}}</h1>
  </div>
  <mat-card class="card">
    <mat-card-title>Recipient</mat-card-title>
    <mat-divider></mat-divider>
    <mat-card-content class="card__content" fxLayout="row wrap" fxLayoutGap.gt-sm="20px" fxLayoutAlign="start start">
      <!-- <img fxFlexAlign="start" class="card__content__image" [src]="variant?.image" alt="Photo of the Product"> -->
      <div fxLayout="column" fxFlex="100">
        <div fxLayout.gt-xs="row" class="card__content__item">
          <div fxFlex="1 0 25%" class="card__content__item__title">State Code:</div>
          <div fxFlex="1 1 75%">{{orderDetail?.recipient?.stateCode}}</div>
        </div>
        <div fxLayout.gt-xs="row" class="card__content__item">
          <div fxFlex="1 0 25%" class="card__content__item__title">Country Code:</div>
          <div fxFlex="1 1 75%">{{orderDetail?.recipient?.countryCode}}</div>
        </div>
        <div fxLayout.gt-xs="row" class="card__content__item">
          <div fxFlex="1 0 25%" class="card__content__item__title">Zip:</div>
          <div fxFlex="1 1 75%"> {{orderDetail?.recipient?.zip}} </div>
        </div>
        <div fxLayout.gt-xs="row" class="card__content__item">
          <div fxFlex="1 0 25%" class="card__content__item__title">City</div>
          <div fxFlex="1 1 75%"> {{orderDetail?.recipient?.city}} </div>
        </div>
        <div fxLayout.gt-xs="row" class="card__content__item">
          <div fxFlex="1 0 25%" class="card__content__item__title">Address 1:</div>
          <div fxFlex="1 1 75%"> {{orderDetail?.recipient?.address1}} </div>
        </div>
        <div fxLayout.gt-xs="row" class="card__content__item">
          <div fxFlex="1 0 25%" class="card__content__item__title">Address 2:</div>
          <div fxFlex="1 1 75%"> {{orderDetail?.recipient?.address2}} </div>
        </div>
        <div fxLayout.gt-xs="row" class="card__content__item">
          <div fxFlex="1 0 25%" class="card__content__item__title">Phone:</div>
          <div fxFlex="1 1 75%"> {{orderDetail?.recipient?.phone}} </div>
        </div>
        <div fxLayout.gt-xs="row" class="card__content__item">
          <div fxFlex="1 0 25%" class="card__content__item__title">Email:</div>
          <div fxFlex="1 1 75%"> {{orderDetail?.recipient?.email}} </div>
        </div>
      </div>
    </mat-card-content>
  </mat-card>
  <mat-card class="card">
    <mat-card-title>Items</mat-card-title>
    <mat-card-content>
      <mat-list>
        <mat-list-item *ngFor="let item of orderDetail.items">
          <img mat-list-avatar [src]="item.variant?.thumbnail" alt="Thumbnail of the Product">
          <div mat-line class="card__content__item__title">{{item.variant?.title}}</div>
          <div mat-line>{{item.variant?.price}} * {{item.quantity}} </div>
          <div mat-line>Total Price: {{item.variant?.price * item.quantity}}</div>
          <mat-divider></mat-divider>
        </mat-list-item>
      </mat-list>
    </mat-card-content>
  </mat-card>
</div>
<div *ngIf="errorMessage" class="order-detail" fxLayout="column" fxLayoutAlign="center center">
  <h1 class="order-detail__title">{{errorMessage}}</h1>
</div>
